com.pivotal.gemfirexd.thrift.internal.types

## Class InternalSavepoint

- java.lang.Object
- - com.pivotal.gemfirexd.thrift.internal.types.InternalSavepoint

All Implemented Interfaces:
  Savepoint

    public class InternalSavepoint
    extends Object
    implements Savepoint

Simple implementation of `Savepoint` used to store the name/ID of the savepoint.

Since:
  gfxd 1.1

### Field Summary

Fields
`static String` `GENERATED_SAVEPOINT_NAME_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`InternalSavepoint(ClientConnection conn, int savepointId)`
`InternalSavepoint(ClientConnection conn, String savepointName)`

### Method Summary

Methods
`ClientConnection` `getConnection()`
`String` `getRealSavepointName()`
`int` `getSavepointId()`
`String` `getSavepointName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### GENERATED_SAVEPOINT_NAME_PREFIX

    public static final String GENERATED_SAVEPOINT_NAME_PREFIX

See Also:
  Constant Field Values

### Constructor Detail

#### InternalSavepoint

    public InternalSavepoint(ClientConnection conn,
                     String savepointName)

#### InternalSavepoint

    public InternalSavepoint(ClientConnection conn,
                     int savepointId)

### Method Detail

#### getSavepointId

    public int getSavepointId()
                       throws SQLException

Specified by:
  `getSavepointId` in interface `Savepoint`
Throws:
  `SQLException`

#### getSavepointName

    public String getSavepointName()
                            throws SQLException

Specified by:
  `getSavepointName` in interface `Savepoint`
Throws:
  `SQLException`

#### getRealSavepointName

    public String getRealSavepointName()

#### getConnection

    public final ClientConnection getConnection()